﻿html, body{
    max-width: 100% !important;
    overflow-x: hidden !important;
    -ms-overflow-style: none;
}

.wrapper{
    position: relative;
    overflow-x: hidden !important;
    -ms-overflow-style: none;
}

body {
    font-family: "Red Hat Display", sans-serif;
    font-weight: 300;
    color: #2b331f;
}

.loading {
    width: 100%;
    height: 100%;
    z-index: 100;
    position: fixed;
    background: linear-gradient(#ffe4b9, #fae8d5, #ffe4b9);
    text-align: center;
}

.loading img{
    width: 250px;
}

.loading p{
    position: relative;
    bottom: 140px;
    left: 10px;
    font-weight: normal;
    font-size: 2.3rem;
}

.dark-block {
    color: white;
    background-color: #2b331f;
}

.pic-fade{
    height: 100%;
    margin: 0;
}

.my-navbar {
    position: fixed;
    width: 100%;
    height: 50px;
    z-index: 10;
    top: 0
}

.navbar-logo{
    position: absolute;
    top: 10px;
    width: 80px;
    padding: 0;
}

.hotel-text{
    font-size: 1.2rem;
    font-weight: 300;
    margin: 0;
}

.sticky-buttons{
    position: fixed;
    text-align: end;
    bottom: 10px;
    right: 10px;
    z-index: 3;
    opacity: 0;
}

.light-block{
    color: #2b331f;
    background-color: #fddca5;
    margin: 0;
}

.light-block2{
    color: black;
    background-color: #fab73d;
    margin: 0;
}

.title-cover{
    top: 0;
    width: 100%;
}

.title-bg{
    background: linear-gradient(#fddca566, #fddca544, #fddca566);
}

.title-phrase{
    font-family: "Kaushan Script", cursive;
    font-size: 2.3rem;
}

.title-pic{
    height: 1080px;
    position: relative;
    bottom: 100px;
}

.title-scroll-zone{
    background-color: white;
    height: 2200px;
}

.small-text {
    font-size: 1rem;
}

.intro-bg{
    color: white;
    height: 800px;
}

.intro-fade{
    position: absolute;
    background-color: #00000088;
    top: -1000px;
    width: 100%;
    height: 2000px;
    margin: 0;
}

.intro-text{
    position: absolute;
    bottom: 40%;
    z-index: 2;
}

.schedule-bar{
    width: 2px;
    height: 20px;
    background-color: #2b331f;
    padding: 0;
}

.schedule-sand-bottom{
    display: inline-block;
    position: absolute;
    left: 0;
    bottom: 0;
}

.schedule-sand-top{
    display: inline-block;
    position: absolute;
    right: 0;
    top: 0;
}

.schedule-icon{
    height: 60px;
    margin-left: 20px;
}

.schedule-location{
    position: absolute;
    width: 100%;
    height: 250px;
}

.schedule-location img{
    width: 800px;
    height: 250px;
    opacity: 25%;
}

.dresscode-bg{
    color: white;
    height: 700px;
}

.dresscode-color{
    border-radius: 100%;
    background-color: white;
    display: inline-block;
    width: 30px;
    height: 30px;
}

.gray-clothing{
    padding-right: 90px;
}

.chip{
    padding: 4px;
    background-color: rgba(234, 246, 233, 0.8);
    border: solid 3px #2b331f;
    border-radius: 50px;
    color: #2b331f;
}

.gifts-bg{
    color: white;
    background-position: center;
    height: 600px;
}

.photos-bg{
    color: white;
    height: 600px;
}

.photos-container{
    padding: 150px 50px;
    max-width: 800px;
    margin-right: 0;
}

.hotel-col-left{
    background-color: #2b331f;
    color: white;
    font-weight: lighter;
}

.hotel-col-right{
    background-color: #fddca5;
    color: #2b331f;
    font-weight: 400;
}

.drinks-bg{
    color: white;
    height: 600px;
}

.drinks-container{
    padding: 100px 50px;
    max-width: 800px;
    margin-right: 0;
}

.parallax {
    position: absolute;
    z-index: -1;
}

.wide-pic{
    width: 100%;
    margin: 0;
    left: 0;
}

.footer-bg{
    background-position: center;
    background-size: auto 100%;
}

.footer-text{
    position: absolute;
    width: 100%;
    font-weight: 400;
    font-size: 2.5rem;
    font-family: "Kaushan Script", cursive;
}

.faq{
    background-color: white;
    font-size: 1.1rem;
}

.gphotos-chip{
    background-color: #CCCCCC;
    border-radius: 50px;
    text-decoration: none;
    width: auto;
    padding: 5px 25px 5px 10px;
}

.gphotos-logo{
    width: 32px;
    position: relative;
    bottom: 2px;
}

.gphotos-title{
    color: #333333;
    font-weight: normal;
    margin: 0;
}

.gphotos-subtitle{
    color: #555555;
}

.fade-out.aos-animate {
    opacity: 0
}

/* Testing -------------------------------------------------------*/

#scroll-tracker{
    position: fixed;
    top: 0;
    right: 0;
    width: 250px;
    height: 100px;
    z-index: 1000;
    background-color: darkgrey;
    text-align: start;
    padding: 20px;
}

/* Portrait -------------------------------------------------------*/

@media only screen and (max-width: 359px) {
    .schedule-icon{
        display: none;
    }
    
    .chip .small-text {
        font-size: 0.8rem;
    }
    
    .gray-clothing{
        padding-right: 60px;
    }
    
    .title-logo{
        scale: 0.8;
    }
}

@media only screen and (max-width: 389px) {
    .schedule-icon{
        height: 40px;
    }
}

@media only screen and (max-width: 992px) {
    body{
        font-size: 1.2rem;
    }

    .pic-fade{
        background-color: #00000099;
    }

    .title-logo{
        width: 280px;
    }

    .title-timer{
        padding: 0 10%;
    }
    
    .title-cover{
        position: absolute;
        top: 0;
    }
    
    .portrait-title-pic{
        background-image: url("/img/inv/title.jpg");
        background-size: 100%;
        background-position-y: -90px;
        background-repeat: no-repeat;
        width: 80%;
        height: 600px;
        margin: 20px auto 0;
        opacity: 0;
    }
    
    .navbar-logo{
        width: 60px;
        top: 20px;
    }
    
    .navbar-timer{
        position: absolute;
        right: 12px;
        top: 15px;
        padding: 0;
        font-size: 2rem;
        width: 368px;
        transform-origin: right;
    }

    .navbar-actions{
        display: none;
    }

    .navbar-btn{
        font-size: 0.8rem;
    }

    .schedule-sand-top, .schedule-sand-bottom{
        width: 45%;
    }
    
    .schedule-panel{
        padding: 50px 0 150px;
    }

    .garden{
        top: 129px;
    }

    .salon{
        top: 379px;
    }

    .dresscode-container{
        padding: 15px;
    }

    .gifts-bg{
        background-image: url("/img/inv/gifts_bg.jpg");
        background-size: auto 100%;
    }

    .bank-info{
        font-size: 1rem;
    }

    .photos-container{
        text-align: center;
    }

    .hotel-text{
        font-size: 1rem;
    }

    .hotel-col-left{
        font-size: 1rem;
    }
    
    .hotel-phone{
        font-size: 1rem;
    }
    
    .footer-bg{
        color: white;
        background-image: url("/img/inv/footer_mobile.jpg");
        height: 900px;
    }
    
    .footer-text{
        position: absolute;
        bottom: 250px;
    }
    
    .gphotos-chip{
        margin: 0 auto;
    }
    
    .gphotos-title{
        font-size: 4vw;
    }
    
    .gphotos-subtitle{
        font-size: 3vw;
    }
}

/* Landscape -------------------------------------------------------*/

@media only screen and (min-width: 992px) {
    body{
        font-size: 1.5rem;
    }

    .sticky-buttons{
        display: none;
    }
    
    .pic-fade{
        background-color: #00000066;
    }
    
    #title-logo{
        transform-origin: center 40%;
    }

    .title-logo{
        width: 350px;
    }

    .title-timer{
        padding: 0 20%;
    }
    
    .title-cover{
        position: fixed;
    }
    
    .portrait-title-pic{
        display: none;
    }

    .navbar-timer{
        position: absolute;
        left: 100px;
        top: 10px;
        padding: 0;
        width: 368px;
    }

    .schedule-panel{
        padding: 50px 0 50px;
    }

    .garden{
        top: 148px;
    }

    .salon{
        top: 398px;
    }

    .dresscode-container{
        padding: 150px
    }
    
    .gifts-bg{
        background-image: url("/img/inv/gifts_bg.jpg");
        background-size: 100%;
    }

    .footer-bg{
        color: white;
        background-image: url("/img/inv/footer_desktop.jpg");
        height: 800px;
    }

    .footer-text{
        bottom: 180px;
    }
    
    .gphotos-title{
        font-size: 1.5rem;
    }
    
    .gphotos-subtitle{
        font-size: 1.2rem;
    }
}

/* FHD Landscape ---------------------------------------------------*/

@media only screen and (min-width: 1500px) {

    .title-pic{
        width: 100%;
        height: auto;
    }

    .portrait-title-pic{
        display: none;
    }
}